[Deprecated]: V4.0

get

/ec-designer-svc/rest/v4.0/studies/{studyId}/versions/{version}/forms/randomizationfactors

Deprecated: Use latest version instead. Retrieves form questions that can be used as randomization factors in the specified study version. Optional query parameters exclude repeat, lab, or two-section form items, include all number items, and filter by form category. The response returns matching form items with their form and question details.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
  • FormItemDto v4.0
    Title: FormItemDto v4.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV4", "numeric":"#/components/schemas/FormNumberItemDtoV4", "measurement":"#/components/schemas/FormNumberItemDtoV4", "text":"#/components/schemas/FormTextItemDtoV4", "choice":"#/components/schemas/FormChoiceItemDtoV4" } }
    Form item returned for a v4.0 study form, including fields used to identify randomization stratification factors.
Nested Schema : FormItemDto v4.0
Type: object
Title: FormItemDto v4.0
Discriminator: questionType

Discriminator Values

Form item returned for a v4.0 study form, including fields used to identify randomization stratification factors.
Show Source
Match One Schema
Show Source
Example:
{
    "questionType":"numeric",
    "id":"4A5C8D0E2F1B4D56A23C9F3A0C7D4E99",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "formTitle":"Demography",
    "questionLabel":"Age",
    "questionHint":"Age at screening",
    "randomizationTag":true,
    "isStrataFactor":false,
    "isCohortFactor":false,
    "refname":"AGE",
    "required":true,
    "sdvRequired":false,
    "sequence":1,
    "smartItemId":"8E1A7B6C2D3F4A55B12C9D4E6F708192",
    "smartObject":"AGE"
}
Nested Schema : FormNumberItemDto v4.0
Type: object
Title: FormNumberItemDto v4.0
Form Number Item Details Information
Match All
Form Number Item Details Information
Form Number Item Details Information
Show Source
  • FormItemDto v4.0
    Title: FormItemDto v4.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV4", "numeric":"#/components/schemas/FormNumberItemDtoV4", "measurement":"#/components/schemas/FormNumberItemDtoV4", "text":"#/components/schemas/FormTextItemDtoV4", "choice":"#/components/schemas/FormChoiceItemDtoV4" } }
    Form item returned for a v4.0 study form, including fields used to identify randomization stratification factors.
  • FormNumberItemDto v4.0-allOf[1]
Nested Schema : FormChoiceItemDto v4.0
Type: object
Title: FormChoiceItemDto v4.0
Form Choice Item Details Information
Match All
Form Choice Item Details Information
Form Choice Item Details Information
Show Source
  • FormItemDto v4.0
    Title: FormItemDto v4.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV4", "numeric":"#/components/schemas/FormNumberItemDtoV4", "measurement":"#/components/schemas/FormNumberItemDtoV4", "text":"#/components/schemas/FormTextItemDtoV4", "choice":"#/components/schemas/FormChoiceItemDtoV4" } }
    Form item returned for a v4.0 study form, including fields used to identify randomization stratification factors.
  • FormChoiceItemDto v4.0-allOf[1]
Nested Schema : FormTextItemDto v4.0
Type: object
Title: FormTextItemDto v4.0
Form text Item Details Information
Match All
Form text Item Details Information
Form text Item Details Information
Show Source
  • FormItemDto v4.0
    Title: FormItemDto v4.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV4", "numeric":"#/components/schemas/FormNumberItemDtoV4", "measurement":"#/components/schemas/FormNumberItemDtoV4", "text":"#/components/schemas/FormTextItemDtoV4", "choice":"#/components/schemas/FormChoiceItemDtoV4" } }
    Form item returned for a v4.0 study form, including fields used to identify randomization stratification factors.
  • FormTextItemDto v4.0-allOf[1]
Nested Schema : FormDatetimeItemDto v4.0
Type: object
Title: FormDatetimeItemDto v4.0
Form DateTime Item Details Information
Match All
Form DateTime Item Details Information
Form DateTime Item Details Information
Show Source
  • FormItemDto v4.0
    Title: FormItemDto v4.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV4", "numeric":"#/components/schemas/FormNumberItemDtoV4", "measurement":"#/components/schemas/FormNumberItemDtoV4", "text":"#/components/schemas/FormTextItemDtoV4", "choice":"#/components/schemas/FormChoiceItemDtoV4" } }
    Form item returned for a v4.0 study form, including fields used to identify randomization stratification factors.
  • FormDatetimeItemDto v4.0-allOf[1]
Nested Schema : FormNumberItemDto v4.0-allOf[1]
Type: object
Show Source
Nested Schema : FormChoiceItemDto v4.0-allOf[1]
Type: object
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : FormOptionDto v4.0
Type: object
Title: FormOptionDto v4.0
Form choice item option details
Show Source
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox label for a one specific choice.
    Example: Female
  • Minimum Length: 1
    Maximum Length: 4000
    Pattern: [a-zA-Z0-9]+
    Form choice selectbox value for a one specific choice.
    Example: 1
Nested Schema : FormTextItemDto v4.0-allOf[1]
Type: object
Show Source
Nested Schema : FormDatetimeItemDto v4.0-allOf[1]
Type: object
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top